package de.heatup.ui.statusPanel;

public class Timer {
	private static int minute;
	private static int seconds; 
	private static int ticktick;
	
	
	public static void tickTimer(){
		ticktick++;
		if (ticktick==60){
			ticktick=0;
			raiseSeconds();
		}
	}
	private static void raiseSeconds(){
		seconds++;
		if (seconds==60){
			minute++;
			seconds=0;
		}
	}
	public static String getMinuteS(){
		String formatted = String.format("%02d", minute);
		return formatted;
	}
	public static String getSecondsS(){
		String formatted = String.format("%02d", seconds);
		return formatted;
	}
	public static int getMinute(){
		return minute;
	}
	public static int getSeconds(){
		return seconds; 
	}
	public static int getAllInSeconds(){
		int all=minute*60+seconds;
		return all;
	}
}

